Problèmes et questions concernant le noyau et le support matériel.
Répondre

linux-lts et linux-latest ... on utilise ou pas ?

#1Messageil y a 2 semaines

:bjr:

Nous avons 2 paquets linux-lts et linux-latest dont l'usage n'est pas évident pour les nouveaux comme les anciens utilisateurs de manjaro

Au niveau technique, ces 2 paquets sont des méta-paquets qui vont pointer vers une version d'un noyau
  • linux-lts : est un alias vers le dernier noyau LTS
  • linux-latest : est un alias vers le dernier noyau stable non lts
Ces 2 paquets ont deux particularités :
  • la version du noyau va évoluée avec le temps : nous allons donc avoir un changement de version majeure (passe de 5.6 à 5.7 par exemple). Ce qui est impossible avec un noyau classique.
  • Nous ne pouvons avoir qu'une unique version ! donc si nous avons ces 2 paquets, nous ne pouvons avoir que 2 noyaux d'installés (un LTS et un autre non lts)
Intérêt : nous ne gérons plus les noyaux, nous passons automatiquement d'une version à une autre (fonctionnement identique à archlinux). Plus de maux de tête...
Problème: nous ne gérons plus rien; plus de choix de noyaux ! nous avons automatiquement les derniers conseillés par manjaro, ce qui peut poser problèmes pour certaines machines

ps: il est bien sûr possible d'en installer qu'un seul des deux pour avoir par exemple une gestion manuelle que pour les noyaux non lts


---------

PKGBUILD

Les codes sources sont disponibles : linux-lts et linux-latest

Nous pouvons voir le même mécanisme dans les 2 !

# EOL kernels between last and latest LTS
eol=(
	415
	416
	417
	418
)
	for kernel in "${eol[@]}"; do
		replaces+=("linux${kernel}")
		conflicts+=("linux${kernel}")
	done
Donc ce paquet "-LTS" remplace la liste "eol" , ce qui va forcer chez pacman la dé-installation des paquets de cette liste

-latest à le même code mais avec une liste différente

# EOL kernels between last LTS and latest
eol=(
	318
	420
	50
	51
	52
	53
)
	for kernel in "${eol[@]}"; do
		replaces+=("linux${kernel}")
		conflicts+=("linux${kernel}")
	done

linux-lts et linux-latest ... on utilise ou pas ?

#2Messageil y a 2 semaines

Merci, je teste, vu que c'est ma politique systématique.

On installe les deux meta-paquets et c'est tout ?

linux-lts et linux-latest ... on utilise ou pas ?

#3Messageil y a 2 semaines

oui, c'était mes explications :wink: avec ces 2 paquets on a le même comportement qu'une archlinux : uniquement le dernier lts et le dernier non lts. Pour l'installation rien de particulier
Mais comme dit + haut, il est aussi possible de mixer : d'en installer qu'un seul et garder la méthode "classique"/manuelle pour l'autre

Répondre